Skip to content
quarry Timeline
Login

Timeline

50 descendants and 50 ancestors of c686300d54e02eed

2026-09-11
20:23
merge trunk check-in: 51e2799f70 user: dmestas tags: companion-surfaces
20:22
land bucket-binding check-in: 2e9cb5edeb user: dmestas tags: trunk
20:21
companions: keep them off the dashboard and count their forum on the parent check-in: 90b2d9c32a user: dmestas tags: companion-surfaces
20:21
branch: companion-surfaces check-in: 66546c6b65 user: dmestas tags: companion-surfaces
20:20
Bind a bring-your-own bucket per repository (RFC 0016 Phase 2): sealed credentials, probe before save, settings section, fleet last-probe closed check-in: 558536be18 user: dmestas tags: bucket-binding
19:36
land tabs-live-everywhere check-in: 1b31360abd user: dmestas tags: trunk
19:32
Every repository page follows the revision stream for its tabs, not only the pages with a live body closed check-in: 695e28c0d9 user: dmestas tags: tabs-live-everywhere
19:25
land attach-missing check-in: 0d2a4cd9f4 user: dmestas tags: trunk
16:47
The unreadable-head test names a transient failure; a blob the store lacks is the missing card closed check-in: 652d498813 user: dmestas tags: attach-missing
16:46
An attachment whose blob the store lacks gets a card that says so, with nothing to click check-in: 7172521e4a user: dmestas tags: attach-missing
16:31
land attachments-ui check-in: 85a8ced3d4 user: dmestas tags: trunk
16:31
land attachments-read check-in: 726916a183 user: dmestas tags: trunk
16:25
Attachments section: preview cards on tickets, wiki, technotes and forum posts; lightbox; text viewer; inline media; per-object zip (RFC 0016 Phase 1) closed check-in: 63a5497d79 user: dmestas tags: attachments-ui
15:43
Attachments, read side (RFC 0016 Phase 1): wiki, technote and forum posts carry theirs; attachment.list; attach:NAME in bodies; inline view gated by sniffed image bytes; attachment events closed check-in: a57e65e937 user: dmestas tags: attachments-read
15:13
land rfc-0016 check-in: 68c9b7b9b6 user: dmestas tags: trunk
14:49
RFC 0016: attachments — fossil's A card in the DAG, the bytes in the steward's own bucket closed check-in: 6688524a07 user: dmestas tags: rfc-0016
00:36
land nav-no-zero check-in: 1f8911753d user: dmestas tags: trunk
00:34
nav: no tab in the repository bar carries a zero closed check-in: cc2caae949 user: dmestas tags: nav-no-zero
00:34
branch: nav-no-zero check-in: b18c51b0f9 user: dmestas tags: nav-no-zero
2026-09-10
21:25
land quiet-probe check-in: 196d7071b2 user: dmestas tags: trunk
20:51
ingest: complain about artifacts that failed, not files that were never artifacts. closes 463ac3bd43 closed check-in: 7364af574c user: dmestas tags: quiet-probe
20:50
branch: quiet-probe check-in: 3fc68427f2 user: dmestas tags: quiet-probe
20:43
land closes-tickets check-in: d02e6b443d user: dmestas tags: trunk
19:26
landings: closes/fixes/resolves settles the tickets a landing names closed check-in: 7ee5abf3cb user: dmestas tags: closes-tickets
19:25
branch: closes-tickets check-in: 056dabe12a user: dmestas tags: closes-tickets
19:14
land zit-unattended check-in: 0e6de71dad user: dmestas tags: trunk
19:14
land wire-follow check-in: 7dadde5b8b user: dmestas tags: trunk
19:08
zitcli: record every store subprocess, including the detached ones (#cafb1f21) closed check-in: 3a90a50f81 user: dmestas tags: zit-unattended
19:08
branch: zit-unattended check-in: df7862675d user: dmestas tags: zit-unattended
19:02
wire-check: follow redirects, so an admin page measures the page it lands on closed check-in: 0bc907ab65 user: dmestas tags: wire-follow
18:59
land landing-list-live check-in: e4cb656955 user: dmestas tags: trunk
18:59
land minify-scripts check-in: 6d018003a7 user: dmestas tags: trunk
18:49
landings: the queue follows the repository, like the record and the timeline closed check-in: 7ad49f98dd user: dmestas tags: landing-list-live
18:45
branch: landing-list-live check-in: 79d4231fd9 user: dmestas tags: landing-list-live
18:42
Minify quarry's scripts at start, hash the served bytes; make wire measures a first visit; QUARRY_ASSETS_RAW serves sources closed check-in: 23ad1b1397 user: dmestas tags: minify-scripts
18:14
land base-uri check-in: 45ae32a0fe user: dmestas tags: trunk
18:11
csp: allow the page to state its own address, which base-uri 'none' was blocking closed check-in: 8e5bb2e1b6 user: dmestas tags: base-uri
18:08
branch: base-uri check-in: 0c96b1f4eb user: dmestas tags: base-uri
17:13
land origin-promise check-in: da11dd0ae2 user: dmestas tags: trunk
17:08
land nav-live check-in: 5772f197b1 user: dmestas tags: trunk
17:08
health: watch that readers get the page this forge actually sent closed check-in: c94b487467 user: dmestas tags: origin-promise
17:07
land nav-zero check-in: 423593c6e8 user: dmestas tags: trunk
17:07
land rfc-index check-in: 35045798f6 user: dmestas tags: trunk
17:06
Repo tabs patch live: nav.frag re-renders the counts on the same revision bump the landing and timeline pages already follow closed check-in: 57f9afe891 user: dmestas tags: nav-live
17:06
branch: origin-promise check-in: 1c773dd375 user: dmestas tags: origin-promise
16:59
Nav tabs show a dimmed 0 at zero instead of a blank that reads as a badge that failed to load closed check-in: a0eaa05060 user: dmestas tags: nav-zero
16:53
RFC index with true statuses; retire 0002 into 0003 §8 (salvage and provenance rules) closed check-in: 356a7bb487 user: dmestas tags: rfc-index
16:40
land diff-defer check-in: fe43a36c83 user: dmestas tags: trunk
16:27
check-in page: send the frame first, and bound the diff memo by bytes closed check-in: 74e5db7b15 user: dmestas tags: diff-defer
16:23
branch: diff-defer check-in: aeb63a07cd user: dmestas tags: diff-defer
15:50
land landing-open-owners check-in: c686300d54 user: dmestas tags: trunk
15:40
A landing onto a protected branch tells its owners at once, on the landing family, not only in the activity digest closed check-in: dc4f576d51 user: dmestas tags: landing-open-owners
15:34
land companions-1b check-in: 39dd93531c user: dmestas tags: trunk
15:29
forum.bind: allow fossil's initial empty check-in, which every forum repository is born with closed check-in: aae234b9a8 user: dmestas tags: companions-1b
15:21
land companions-1 check-in: 0960ef4d25 user: dmestas tags: trunk
15:21
land restore-reply-wiring check-in: 18129ea392 user: dmestas tags: trunk
15:17
Forum companions, Phase 1: bind a store as a repository's forum; forum ops resolve through the binding, no CI on a companion, hidden from the list, shown on Fleet with its parent (RFC 0015) closed check-in: e25dbfdfd8 user: dmestas tags: companions-1
15:13
Restore the reply receiver, endpoint registration and email-default wiring a stale main.go swept off trunk; guard the composition root's wires with a test closed check-in: c09d14afb0 user: dmestas tags: restore-reply-wiring
15:04
land rfc-0015 check-in: febb15d310 user: dmestas tags: trunk
15:02
RFC 0015: companion stores — a repository's forum in a separate fossil-compatible store, bound by the forge closed check-in: a92686ea53 user: dmestas tags: rfc-0015
14:58
land exception-retention check-in: c6e1b91beb user: dmestas tags: trunk
13:09
client errors: report our own assets, not what an intermediary injected closed check-in: ebd83c8501 user: dmestas tags: exception-retention
00:35
land exception-retention check-in: 4d5f53a4b2 user: dmestas tags: trunk
00:27
exceptions: retire a signature by age, or clear it by hand check-in: eb27270224 user: dmestas tags: exception-retention
00:23
branch: exception-retention check-in: 9134c82267 user: dmestas tags: exception-retention
2026-09-09
23:37
land email-steps check-in: 94dc833e3a user: dmestas tags: trunk
23:35
Email steps on the family workflows, off until a person switches them on; mention, reply and landing accept replies closed check-in: 970a8394d3 user: dmestas tags: email-steps
22:59
land inbound-reply-signed check-in: 294fb2d866 user: dmestas tags: trunk
22:54
Keep the reply-endpoint secret notify mints, sign an unsigned endpoint at startup (notify 0.1.1) closed check-in: 6571b141ea user: dmestas tags: inbound-reply-signed
22:44
land inbound-reply check-in: 7e3831f368 user: dmestas tags: trunk
22:28
Replies to notification email land as forum replies via notify's delivery stream (RFC 0014 Phase 1) closed check-in: 1e32422ea5 user: dmestas tags: inbound-reply
22:14
land traffic-zero check-in: 7ff10e0b74 user: dmestas tags: trunk
21:36
traffic: print a zero total instead of swallowing it closed check-in: bb1a62a50c user: dmestas tags: traffic-zero
21:34
branch: traffic-zero check-in: 9f138a2af0 user: dmestas tags: traffic-zero
21:27
land clone-identity check-in: 950a22e623 user: dmestas tags: trunk
21:26
land docs-receiver-2 check-in: b949f0255d user: dmestas tags: trunk
21:06
tree: offer fossil first where it works, zit one click away closed check-in: 1e14a9daa4 user: dmestas tags: clone-identity
21:04
Running docs: receiving email needs nothing but notify closed check-in: a9c6f2a183 user: dmestas tags: docs-receiver-2
21:02
sync: record who cloned — client, verified account, claimed name, or nobody check-in: f3983f90bd user: dmestas tags: clone-identity
20:42
branch: clone-identity check-in: 93f3cf3802 user: dmestas tags: clone-identity
02:49
land page-titles check-in: a1e71213c5 user: dmestas tags: trunk
02:43
Page titles are capitalised, and stay that way closed check-in: 4c0311e31c user: dmestas tags: page-titles
02:40
land digest-cadence check-in: cb2bbf27fd user: dmestas tags: trunk
02:40
land rfc-inbound check-in: 417c9ab44a user: dmestas tags: trunk
02:38
A person chooses how often their activity digest arrives closed check-in: f3db51857f user: dmestas tags: digest-cadence
02:15
index: rewarm the day-fold after a fold, so no reader pays the cold scan closed check-in: a0f1918bc8 user: dmestas tags: rfc-inbound
01:57
land rfc-inbound check-in: 55019767bb user: dmestas tags: trunk
01:38
index: revert the measured-slower activity GROUP BY; add the counts privacy test check-in: a85d1d4f63 user: dmestas tags: rfc-inbound
01:31
RFC 0014: what may write to a forge from outside it check-in: bc7e1262a1 user: dmestas tags: rfc-inbound
01:18
land email-plumbing check-in: 62f63b2125 user: dmestas tags: trunk
01:18
land timing-names check-in: 54fd88f3aa user: dmestas tags: trunk
01:15
Quarry gives notify a mail provider, an address per subscriber, and one invite closed check-in: 392bccef07 user: dmestas tags: email-plumbing
01:14
timing: the footer names the op that took the time, not just the layer closed check-in: d7a16b8244 user: dmestas tags: timing-names
00:11
land activity-bucket-once check-in: 00956b5f03 user: dmestas tags: trunk
00:11
land activity-digest check-in: e4b07881e2 user: dmestas tags: trunk
2026-09-08
21:15
activity: choose the sample's day width from the data, not by rendering it six times closed check-in: dc0159fde7 user: dmestas tags: activity-bucket-once
21:07
Activity digests every two hours by default, and the settings page says so closed check-in: 7841fc97d1 user: dmestas tags: activity-digest
21:03
The activity digest batches per repository and says how many check-in: c579efcd30 user: dmestas tags: activity-digest
17:29
land inbox-open check-in: 41d4261adc user: dmestas tags: trunk
17:02
Opening an inbox row reads it; push notifications get their titles back closed check-in: cb31c5a265 user: dmestas tags: inbox-open
16:18
land tl-glyphs check-in: 915d7e1133 user: dmestas tags: trunk